﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NoSqlCore.Views.Evaluation;

namespace NoSqlCore.DBObject
{
	public abstract class Evaluation
	{
		public string Name { get; set; }

		public EvaluationType Type { get; set; }

		public List<Question> QuestionList { get; set; }

		public Evaluation()
		{
			QuestionList = new List<Question>();
		}
	}

	public class MongoEvaluation : Evaluation
	{
		//int? fonctionne avec MongoDB (mais string ne fonctionne pas)
		public int? Id { get; set; }
	}

	public class RavenEvaluation : Evaluation
	{
		//string fonctionne avec RavenDB (mais int? ne fonctionne pas)
		public string Id { get; set; }
	}

}
